	if ( $access{'addusr'} && $config{'is_masterHost'} eq "true" ) {  
	        push(@olinks,"?cat=objects&sub=users");
        	push(@links,"_users.pl");
        }
	if ( $access{'addou'} && $config{'is_masterHost'} eq "true" ) {  
	        push(@olinks,"?cat=objects&sub=ou");
        	push(@links,"_ou.pl");
        }
        if ( $config{'is_ldapcache'} eq "true" ) { 
	   if ( $access{'addapps'} && $config{'is_masterHost'} eq "true" ) {  
	        push(@olinks,"?cat=objects&sub=apps");
        	push(@links,"_apps.pl");
           }
	   if ( $access{'addgrpapps'} && $config{'is_masterHost'} eq "true" ) {  
        	push(@olinks,"?cat=objects&sub=grpapps");
        	push(@links,"_grpapps.pl");
           }
        }
	if ( $access{'addhosts'} && $config{'is_masterHost'} eq "true" ) {  
		push(@olinks,"?cat=objects&sub=hosts");
        	push(@links,"_hosts.pl");
        }
	if ( $access{'addgrphosts'} && $config{'is_masterHost'} eq "true" ) {  
		push(@olinks,"?cat=objects&sub=grphosts");
        	push(@links,"_grphosts.pl");
        }
        if ( $config{'is_ldapcache'} ne "true" ) { 
	      if ( $access{'addhostsuser'} && $config{'is_masterHost'} eq "true" ) {  
			push(@olinks,"?cat=objects&sub=hostsuser");
        		push(@links,"_hostsuser.pl");
              }
        }
        if ( $config{'is_ldapcache'} eq "true" ) { 
		push(@olinks,"?cat=objects&sub=domains");
        	push(@links,"_domains.pl");
        }
        @otitles = map { /^_(\S+).pl/; $text{"index_".$1} } @links;
        @oicons = map { /^_(\S+).pl/; "images/add$1.gif"; } @links;
        if ($interface eq "tabs" ) {
               &outicons_table;
        } else { 
               &icons_table(\@olinks, \@otitles, \@oicons);
        }
